#
# spec file for package python-os-faults
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           python-os-faults
Version:        0.1.17
Release:        11.5
Summary:        OpenStack fault-injection library
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://os-faults.readthedocs.io
Source0:        https://files.pythonhosted.org/packages/source/o/os-faults/os_faults-%{version}.tar.gz
BuildRequires:  ansible >= 2.2
BuildRequires:  openstack-macros
BuildRequires:  python-PyYAML
BuildRequires:  python-appdirs
# rdo only has click version 6.3-1.el7
#BuildRequires:  python-click >= 6.7
BuildRequires:  python-click
BuildRequires:  python-ddt
BuildRequires:  python-iso8601
BuildRequires:  python-jsonschema
BuildRequires:  python-libvirt-python
BuildRequires:  python-mock
BuildRequires:  python-oslo.i18n
BuildRequires:  python-oslo.serialization
BuildRequires:  python-oslo.utils
BuildRequires:  python-oslotest
BuildRequires:  python-pbr
BuildRequires:  python-pyghmi
BuildRequires:  python-pytest
BuildRequires:  python-python-subunit
BuildRequires:  python-setuptools
BuildRequires:  python-six
BuildRequires:  python-testrepository
BuildRequires:  python-testscenarios
BuildRequires:  python-testtools
Requires:       ansible >= 2.2
Requires:       python-PyYAML
Requires:       python-appdirs
# rdo only has click version 6.3-1.el7
#Requires:  python-click >= 6.7
Requires:       python-click
Requires:       python-iso8601
Requires:       python-jsonschema
Requires:       python-oslo.i18n
Requires:       python-oslo.serialization
Requires:       python-oslo.utils
Requires:       python-pbr
Requires:       python-pyghmi
Requires:       python-six
BuildArch:      noarch
%if ! 0%{?rhel}
Recommends:     python-libvirt-python
%endif

%description
The library does destructive actions inside an OpenStack cloud. It provides
an abstraction layer over different types of cloud deployments. The actions
are implemented as drivers (e.g. DevStack driver, Fuel driver, Libvirt driver,
IPMI driver).

%package doc
Summary:        Documentation for OpenStack faults Library
Group:          Documentation
BuildRequires:  python-Sphinx
BuildRequires:  python-openstackdocstheme
BuildRequires:  python-reno
BuildRequires:  python-sphinx_rtd_theme
%if ! 0%{?rdo}
# this package its dependency js-jquery is not available for RDO
BuildRequires:  python-sphinxcontrib-programoutput
%endif

%description doc
The library does destructive actions inside an OpenStack cloud. It provides
an abstraction layer over different types of cloud deployments. The actions
are implemented as drivers (e.g. DevStack driver, Fuel driver, Libvirt driver,
IPMI driver).

This package contains the documentation.

%prep
%autosetup -p1 -n os_faults-%{version}
%py_req_cleanup
%if 0%{?rdo}
sed -i '/sphinxcontrib.programoutput/d' doc/source/conf.py
sed -i '/sphinx.ext.autosectionlabel/d' doc/source/conf.py
%endif

%build
%{py2_build}
%{__python2} setup.py build_sphinx --builder=html
rm -rf doc/build/html/.{doctrees,buildinfo}

%install
%{py2_install}

%check
#%{__python2} setup.py test
# the below instead of the above is to avoid pulling in requirements for coverage
export PYTHONPATH=.
export PATH=$PATH:%{buildroot}%{_bindir}
py.test -vvvv --durations=10 "os_faults/tests/unit"

%files
%defattr(-,root,root,-)
%doc README.rst ChangeLog
%license LICENSE
%{_bindir}/os-inject-fault
%{_bindir}/os-faults
%{python2_sitelib}/os_faults*

%files doc
%defattr(-,root,root,-)
%if ! 0%{?rdo}
%doc doc/build/html
%endif
%license LICENSE

%changelog
